#if !defined(AFX_MODULEVIEW_H__AF3C9277_6A59_11D2_A0A4_00A0C94CB8B3__INCLUDED_)
#define AFX_MODULEVIEW_H__AF3C9277_6A59_11D2_A0A4_00A0C94CB8B3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ModuleView.h : header file
//

#include "AplDoc.h"
#include "Process.h"

#define COLUMN_MODULENAME  0
#define COLUMN_ADDRESS     1

/////////////////////////////////////////////////////////////////////////////
// CModuleView view

class CModuleView : public CListView
{
protected:
   CModuleView();           // protected constructor used by dynamic creation
   DECLARE_DYNCREATE(CModuleView)

// Attributes
public:
   CAplDoc* GetDocument();

// Operations
public:
   void FillModuleList(CProcess* pProcess);
   int InsertItem(LPVOID pItem, int nItem);
   void OnNeedText(LPVOID pItem, int nColumn, CString& szText);
   LPTSTR GetClipboardString();

// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CModuleView)
    protected:
   virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
    virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
    //}}AFX_VIRTUAL

// Implementation
protected:
   virtual ~CModuleView();
#ifdef _DEBUG
   virtual void AssertValid() const;
   virtual void Dump(CDumpContext& dc) const;
#endif

   // Generated message map functions
protected:
   //{{AFX_MSG(CModuleView)
   afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
   afx_msg void OnGetDispInfo(NMHDR* pNMHDR, LRESULT* pResult);
    afx_msg void OnEditCopy();
	afx_msg void OnUpdateEditCopy(CCmdUI* pCmdUI);
	//}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MODULEVIEW_H__AF3C9277_6A59_11D2_A0A4_00A0C94CB8B3__INCLUDED_)

#ifndef _DEBUG  // release version of ModuleView.cpp
inline CAplDoc* CModuleView::GetDocument()
   { return (CAplDoc*)m_pDocument; }
#endif
