// WndSaveRestoreHelper.h: interface for the CWndSaveRestoreHelper class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WNDSAVERESTOREHELPER_H__AF3C9278_6A59_11D2_A0A4_00A0C94CB8B3__INCLUDED_)
#define AFX_WNDSAVERESTOREHELPER_H__AF3C9278_6A59_11D2_A0A4_00A0C94CB8B3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CWndSaveRestoreHelper : public CObject
{
public:
   CWndSaveRestoreHelper(HWND hWnd, LPCTSTR szSectionName, LPCTSTR szEntry);
   CWndSaveRestoreHelper();
   ~CWndSaveRestoreHelper();

// public methods
public:
   BOOL AttachToWindow(HWND hWnd);
   BOOL Restore();
   BOOL Save();
   void SetSectionName(LPCTSTR szSection, LPCTSTR szEntry);

// internal members
protected:
   CString  m_szSection;
   CString  m_szEntry;
   HWND     m_hAttachedWindow;
};


#endif // !defined(AFX_WNDSAVERESTOREHELPER_H__AF3C9278_6A59_11D2_A0A4_00A0C94CB8B3__INCLUDED_)
